version: '3'

services:
  postgres:
    image: postgres:15.1
    restart: unless-stopped
    networks:
      - traefik_net
    environment:
      - POSTGRES_PASSWORD
    volumes:
#      - ./docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d
      - ./data:/var/lib/postgresql/data
    labels:
      - "traefik.enable=true"
      - "traefik.tcp.routers.postgres.rule=HostSNI(`*`)"
      - "traefik.tcp.routers.postgres.entrypoints=postgres"
  pgadmin:
    image: dpage/pgadmin4:6.15
    restart: unless-stopped
    depends_on:
      - postgres
    networks:
      - traefik_net
    environment:
      - PGADMIN_DEFAULT_EMAIL
      - PGADMIN_DEFAULT_PASSWORD
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.pgadmin.rule=Host(`pgadmin.linux.livorno.it`)"
      - "traefik.http.routers.pgadmin.entrypoints=websecure"
      - "traefik.http.routers.pgadmin.tls.certresolver=myresolver"

networks:
  traefik_net:
    external: true

# vim: set tabstop=2 softtabstop=2 shiftwidth=2 expandtab
